Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGAnimationEngine.DebugAnimationTickRunnable

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.AnimationTickRunnable
          org.apache.batik.bridge.SVGAnimationEngine.DebugAnimationTickRunnable

All Implemented Interfaces:
  Runnable, RunnableQueue.IdleRunnable

Enclosing class:
  SVGAnimationEngine

    protected static class SVGAnimationEngine.DebugAnimationTickRunnable

extends SVGAnimationEngine.AnimationTickRunnable

Idle runnable to tick the animation, that reads times from System.in.

Field Summary

Fields inherited from class org.apache.batik.bridge.SVGAnimationEngine.AnimationTickRunnable
`engRef, exceptionCount, MAX_EXCEPTION_COUNT, q, sumTime, time, timeIndex, times, waitTime`

Constructor Summary
`SVGAnimationEngine.DebugAnimationTickRunnable(RunnableQueue q, SVGAnimationEngine eng)`

Method Summary
`long` | `getWaitTime()` Returns the system time that can be safely waited until before this `Runnable` is run again.
`void` | `resume()` Forces an animation update, if the `RunnableQueue` is currently waiting.
`void` | `run()` Performs one tick of the animation.

Methods inherited from class org.apache.batik.bridge.SVGAnimationEngine.AnimationTickRunnable
`getAnimationEngine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimationEngine.DebugAnimationTickRunnable

    public SVGAnimationEngine.DebugAnimationTickRunnable(RunnableQueue q,
                                                         SVGAnimationEngine eng)

Method Detail

### resume

    public void resume()

  Description copied from class: `SVGAnimationEngine.AnimationTickRunnable`
  Forces an animation update, if the `RunnableQueue` is currently waiting.

  Overrides:
    `resume` in class `SVGAnimationEngine.AnimationTickRunnable`

### getWaitTime

    public long getWaitTime()

  Description copied from class: `SVGAnimationEngine.AnimationTickRunnable`
  Returns the system time that can be safely waited until before this `Runnable` is run again.

  Specified by:
    `getWaitTime` in interface `RunnableQueue.IdleRunnable`
  Overrides:
    `getWaitTime` in class `SVGAnimationEngine.AnimationTickRunnable`
  Returns:
    time to wait until, `0` if no waiting can be done, or `Long.MAX_VALUE` if the `Runnable` should not be run again at this time

### run

    public void run()

  Description copied from class: `SVGAnimationEngine.AnimationTickRunnable`
  Performs one tick of the animation.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `SVGAnimationEngine.AnimationTickRunnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.